Bug 614827 - kernel panic occurred when boot up rhel3.9-64 with virtio block and 2vcpu
kernel panic occurred when boot up rhel3.9-64 with virtio block and 2vcpu
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.0
All Linux
medium Severity high
: rc
: ---
Assigned To: Virtualization Maintenance
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-15 06:59 EDT by Golita Yue
Modified: 2010-11-11 14:30 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-20 01:39:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (37.67 KB, image/png)
2010-07-15 06:59 EDT, Golita Yue
no flags Details

  None (edit)
Description Golita Yue 2010-07-15 06:59:05 EDT
Created attachment 432035 [details]
screenshot

Description of problem:
Install the rhel3u9 VM with ide disk and 2 vcpu, and update the kernel to 2.4.21-63-smp, 
then install kmod-virtio-smp-0.1-17.el3.x86_64.rpm, boot up VM with virtio disk again. VM kernel panic occurred.

Version-Release number of selected component (if applicable):
host:
kernel  2.6.32-44.1.el6.x86_64
qemu-kvm-0.12.1.2-2.91.el6.x86_64

guest:
kernel  2.4.21-63-smp

How reproducible:
100%

Steps to Reproduce:
1.Install the rhel3u9 VM with ide disk and 2 vcpu
2.update the kernel to 2.4.21-63-smp
3.install kmod-virtio-smp-0.1-17.el3.x86_64.rpm
4.boot up VM with virtio disk
  
Actual results:
VM kernel panic

Expected results:
can boot up with virtio driver 

Additional info:
cmdline: 
/usr/libexec/qemu-kvm -S -M rhel6.0.0 -enable-kvm -m 2048 -smp 1,sockets=1,cores=1,threads=1 -name kernel-r3.9-64 -uuid 587000c4-e53c-45bd-f237-49b7fe78081e -nodefconfig -nodefaults -chardev socket,id=monitor,path=/var/lib/libvirt/qemu/kernel-r3.9-64.monitor,server,nowait -mon chardev=monitor,mode=control -rtc base=utc -boot c -drive file=/home/images/kernel-r3.9-64.img,if=none,id=drive-virtio-disk0,boot=on,format=raw,cache=none -device virtio-blk-pci,bus=pci.0,addr=0x6,drive=drive-virtio-disk0,id=virtio-disk0 -netdev tap,fd=16,id=hostnet0 -device rtl8139,netdev=hostnet0,id=net0,mac=52:54:00:5d:21:7c,bus=pci.0,addr=0x4 -chardev pty,id=serial0 -device isa-serial,chardev=serial0 -usb -vnc 127.0.0.1:2 -k en-us -vga cirrus -device AC97,id=sound0,bus=pci.0,addr=0x5 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x3
Comment 2 Amit Shah 2010-07-15 08:18:34 EDT
The kernel boot parameters will have to be modified to boot from /dev/vdaNN. Also, you will have to make sure the virtio drivers are present in the initrd.img file, otherwise the kernel won't be able to find the virtio drivers and won't be able to detect the disk.
Comment 3 RHEL Product and Program Management 2010-07-15 10:59:44 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 4 Golita Yue 2010-07-15 22:21:52 EDT
(In reply to comment #2)
> The kernel boot parameters will have to be modified to boot from /dev/vdaNN.
I boot up with smp=1 + up kernel, and didn't modify the kernel line, it is boot up successfully.
But failed smp=2 + smp kernel.
I will try /dev/vdaNN.
Comment 5 Alex Williamson 2010-07-16 16:21:13 EDT
Please try refreshing the initrd for the smp kernel, be sure it includes the virtio block driver, and try again.
Comment 6 Golita Yue 2010-07-20 01:39:01 EDT
I refreshed the initrd for the smp kernel, and can boot up VM with virtio_blk driver. So it is kmod-virtio package for smp kernel initrd issue, I will create a new bug for this component.

#mkinitrd initrd-2.4.21-63.ELsmp.img.gyue 2.4.21-63.ELsmp --with=virtio --with=virtio_net --with=virtio_blk --with=virtio_pci --with=virtio_ring

Closed this bug as this is rhel3 virtio component issue.

Note You need to log in before you can comment on or make changes to this bug.